﻿// Constant by Charles Petzold, January 2010

namespace Petzold.SoundSynthesis
{
    public class Constant : IIntSampleProvider
    {
        public int Value { protected set; get; }

        public Constant(int value)
        {
            Value = value;
        }

        public Constant(double value)
        {
            Value = (int)(65536 * value);
        }

        public int GetNextIntSample()
        {
            return Value;
        }
    }
}
